<div class="add-mark-up-budget-request">
    <h2 class="ui dividing header">Mark Up Budget Request Form</h2>
    <form class="ui form add-aicp">
        <div class="field">
            <div class="four fields">
                
                <div class="field">
                    <label>AICP NO</label>
                    <input class="aicp_no" name="aicp_no" value="<?php echo $aicp_no;?>" readonly />
                </div>

                <div class="field">
                    <label>Process Status</label>
                    <div class="ui selection dropdown process-status">
                        <input type="hidden" name="process_status" class="process_status">
                        <i class="dropdown icon"></i>
                        <div class="default text">select process</div>
                        <div class="menu">
                            <div class="item" data-value="1">new</div>
                            <div class="item" data-value="2">reprocess</div>
                            <div class="item" data-value="3">advance</div>
                        </div>
                    </div>
                </div>


            </div>
        </div>
        <div class="field">
            <div class="four fields">

                <div class="field">
                    <label>EMA Code</label>
				    <div class="ui fluid search selection dropdown add-ema">
					   	<input type="hidden" name="ema_code" class="ema_code">
					    <i class="dropdown icon"></i>
					    <div class="default text">EMA Code</div>
					    <div class="menu">
						  	<?php foreach($ema as $ema_key => $ema_data) : ?>
								<div class="item" data-value="<?php echo $ema_data['ema_id']; ?>">
									<?php echo $ema_data['ema_code']; ?>
								</div>
					        <?php endforeach; ?>
					    </div>
					</div>
                </div>

                <div class="field">
                <label>EMA ID</label>
                    <input class="ema_id" name="ema_id" readonly />
                </div>
                <div class="field">
                    <label>EMA Firstname</label>
                    <input class="ema_firstname" name="ema_firstname" readonly />
                </div>
                <div class="field">
                    <label>EMA Lastname</label>
                    <input class="ema_lastname" name="ema_lastname" readonly />
                </div>
            </div>

            <div class="four fields">

                <div class="field">
                <label>RSM ID</label>
                    <input class="rsm_id" name="rsm_id" readonly />
                </div>

                <div class="field">
                    <label>RSM Nname</label>
                    <input class="rsm_name" name="rsm_name" readonly />
                </div>

                <div class="field">
                    <label>Region ID</label>
                    <input class="region_id" name="region_id" readonly/>
                </div>

                <div class="field">
                    <label>Region Name</label>
                    <input class="region_name" name="region_name" readonly />
                </div>

            </div>
        </div>        

        <div class="two fields">

            <div class="field" >
                <label>School Name</label>                
                <div class="ui search selection dropdown school_name">
                    <input name="school_id" class="school_id">
                    <i class="dropdown icon"></i>
                    <div class="default text">School Name</div>
                    <div class="menu">

                    <!-- item autogenerated by iterated json data from markup.js -->

                    </div>
                </div>
            </div>

            <div class="two fields">
                <div class="field">
                    <label>School ID</label>
                    <input class="school_id" name="school_id" readonly />
                </div>

                <div class="field">
                    <label>School Code</label>
                    <input class="school_code" name="school_code" readonly />
                </div>

            </div>

            <!-- <div class="field">
                <label>School ID</label>
                <input class="school_id" name="school_id" readonly />
            </div>

            <div class="field">
                <label>School Code</label>
                <input class="school_code" name="school_code" readonly />
            </div> -->

        </div>

        <div class="field">
            <label>School Address</label>
            <textarea rows="1" class="school_add" name="school_add" readonly></textarea>
        </div>

        <div class="field">

            <!-- update: agreed on not to include 1% discretionary fund on mark up budget -->

            <!-- <div class="ui checkbox one_percent">
                <input type="checkbox" class="one_percent_discretionary_fund" name="one_percent_discretionary_fund" value="1"/>
                <label>one percent discretionary fund</label>
            </div> -->

            <!-- file upload for mark up request supporting document -->
            
            <?php echo form_open_multipart('mark_up/add_aicp') ?>

            <input class="markup_file" name="markup_file" type="file" style="display:none;" />
            <div class="right floated ui button upload_markup_file"><i class="attach icon"></i><span>upload mark up file</span></div>
            <br />
            
        </div>        
       
        <!-- <div class="field">        
            <div class="ui teal button add_ema_to_aicp">Add EMA</div>
        </div> -->

        <br />
        <div class="ui divider"></div>

        <form class="ui form add-aicp-item" style="display:none;">
            <div class="two fields">
                <div class="field">
                    <label>payee</label>
                    <input class="contact_person" name="contact_person" type="text" />
                </div>
                <div class="field">
                    <label>position</label>
                    <input class="position" name="position" type="text" />
                </div>
            </div>
           
            <div class="two fields">
                <div class="field">
                    <label>requesting amount</label>
                    <input class="check_amt" name="check_amt" type="text" />
                </div>
                <div class="field">
                <label>remarks</label>
                <textarea class="remarks" name="remarks" rows=1></textarea>
            </div>                
            </div>
            
            <div class="field">
                <div class="ui blue button add_aicp_item"><i class="add icon"></i>add item</div>
            </div>
            <div class="field">                
                <table class="ui very compact small celled table aicp-item-table">
                    <thead>
                        <tr>
                            <th>item</th>
                            <th>payee</th>
                            <th>position</th>                            
                            <th>requesting amount</th>                            
                            <th>remarks</th>                            
                        </tr>
                    </thead>
                    <tbody>                                    
                    </tbody>                
                </table>
            </div>
            <div class="field">                
                <div class="ui red button remove_aicp_item"><i class="remove icon"></i>remove item</div>
            </div>            
            <br />
            <div class="right floated ui green button submit-aicp"><i class="ui save icon"></i>save form</div>
            
            <?php echo form_close(); ?>
        </form>
    </form>
</div>
<div class="page_footer">
    <br />
</div>

<script>

	if (typeof (sbrf) == 'undefined') {
		var sbrf = {};
	}

	if (typeof (sbrf.mu_budget) == 'undefined') {
		sbrf.mu_budget = new CMU_Budget;
	}

	sbrf.mu_budget.bind_events();

</script>